#!/bin/sh
# autopkgtest check: compose image examples
set -ue
cd $AUTOPKGTEST_TMP

cp -p /usr/share/doc/jsurf-alggeo/examples/fantasy_zitrus.jsurf .

cat > AdHocJob.java << EOJS
public class AdHocJob {
	public static void main(String[] argv) {
		de.mfo.jsurf.grid.RotationGrid.main(argv);
		}
	}
EOJS

export CLASSPATH=/usr/share/java/jsurf-alggeo.jar:

javac AdHocJob.java

java AdHocJob --output fantasy_zitrus.png fantasy_zitrus.jsurf

exit 0
